|
@@ -0,0 +1,68 @@
|
|
|
+#! /bin/sh
|
|
|
+#
|
|
|
+### BEGIN INIT INFO
|
|
|
+# Provides: scanbuttond
|
|
|
+# Required-Start: $syslog $local_fs $remote_fs
|
|
|
+# Required-Stop: $syslog $local_fs $remote_fs
|
|
|
+# Should-Start: dbus avahi
|
|
|
+# Should-Stop: dbus avahi
|
|
|
+# Default-Start: 2 3 4 5
|
|
|
+# Default-Stop: 0 1 6
|
|
|
+# Short-Description: Wifi-with-me form
|
|
|
+# Description: Get good will from people :)
|
|
|
+#
|
|
|
+### END INIT INFO
|
|
|
+
|
|
|
+# Alternative init script using foreground option (do not work otherwise
|
|
|
+# with epson perfection 1660)
|
|
|
+
|
|
|
+PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
|
|
|
+INSTALL_DIR={{ wwm_install_dir }}
|
|
|
+DAEMON=${INSTALL_DIR}/backend.py
|
|
|
+NAME=wifi-with-me
|
|
|
+DESC="Wifi with me, formulaire wifi"
|
|
|
+
|
|
|
+test -x $DAEMON || exit 0
|
|
|
+
|
|
|
+RUN_AS_USER={{ wwm_user }}
|
|
|
+
|
|
|
+set -e
|
|
|
+
|
|
|
+case "$1" in
|
|
|
+ start)
|
|
|
+ echo -n "Starting $DESC: "
|
|
|
+ start-stop-daemon -d $INSTALL_DIR -b --start --quiet \
|
|
|
+ --chuid $RUN_AS_USER --exec $DAEMON -- $DAEMON_OPTS
|
|
|
+ echo "$NAME."
|
|
|
+ ;;
|
|
|
+ stop)
|
|
|
+ echo -n "Stopping $DESC: "
|
|
|
+ start-stop-daemon --stop --oknodo --quiet \
|
|
|
+ --exec $DAEMON
|
|
|
+ echo "$NAME."
|
|
|
+ ;;
|
|
|
+ force-reload)
|
|
|
+ # check whether $DAEMON is running. If so, restart
|
|
|
+ start-stop-daemon --stop --test --quiet \
|
|
|
+ --exec $DAEMON -- $DAEMON_OPTS \
|
|
|
+ && $0 restart \
|
|
|
+ || exit 0
|
|
|
+ ;;
|
|
|
+ restart)
|
|
|
+ echo -n "Restarting $DESC: "
|
|
|
+ start-stop-daemon --stop --oknodo --quiet \
|
|
|
+ --exec $DAEMON
|
|
|
+ sleep 1
|
|
|
+ start-stop-daemon -b --start --quiet \
|
|
|
+ --chuid $RUN_AS_USER --exec $DAEMON -- $DAEMON_OPTS
|
|
|
+ echo "$NAME."
|
|
|
+ ;;
|
|
|
+ *)
|
|
|
+ N=/etc/init.d/$NAME
|
|
|
+ echo "Usage: $N {start|stop|restart|force-reload}" >&2
|
|
|
+ exit 1
|
|
|
+ ;;
|
|
|
+esac
|
|
|
+
|
|
|
+exit 0
|
|
|
+
|